Description
Steps in order to reproduce the error:
    -  create and open a view in EPSG:4326;
    -  add a PostGIS layer defined in a different CRS than the view (e.g. EPSG:23032) as a first layer;
Results:
    -  an "Unable to reproject envelope with transf" error happens;
    -  the view is not zoomed to the layer extent;
    -  zooming to the layer extent, the layer is where it should be.

Associated revisions
Revision 43410 - 08/06/2017 05:52 PM - Joaquín  del Cerro Murciano

refs #4579, retrasado el calculo del envelpe de la capa al añadirse desde BBDD asta un punto en el que ya se le haya asignado la ICoordtrans.

History
#1 - 08/06/2017 05:54 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Corregido el calculo del envelope de las capas al ser añadidas desde BBDD.
El codigo calculaba el envelope de las capas antes de que a estes se le hubiese asignado la transformacion de coordenadas (ICoordtrans).

#2 - 08/07/2017 09:55 PM - Antonio Falciano
- Status changed from Fixed to Closed
